SyncML Elements
libsyncml API » Low Level API

The public part. More...

Collaboration diagram for SyncML Elements:

## Functions

SmlLocation * | smlLocationNew (const char *locURI, const char *locName, SmlError **error)
SmlLocation * | smlLocationRef (SmlLocation *loc)
void | smlLocationUnref (SmlLocation *loc)
const char * | smlLocationGetURI (SmlLocation *loc)
const char * | smlLocationGetName (SmlLocation *loc)
void | smlLocationSetName (SmlLocation *loc, const char *name)
void | smlLocationCopy (SmlLocation *source, SmlLocation *target)
SmlLocation * | smlLocationClone (SmlLocation *source, SmlError **error)
SmlBool | smlLocationCompare (SmlLocation *objectroot, SmlLocation *object, SmlLocation *urlroot, SmlLocation *url)
SmlBool | smlLocationIsRelative (SmlLocation *location)
SmlCred * | smlCredNewFromString (const char *type, const char *format, const char *data, SmlError **error)
SmlCred * | smlCredNewAuth (SmlAuthType type, const char *username, const char *password, SmlError **error)
SmlCred * | smlCredNew (SmlAuthType type, SmlFormatType format, const char *data, const char *username, SmlError **error)
void | smlCredRef (SmlCred *cred)
void | smlCredUnref (SmlCred *cred)
void | smlCredFree (SmlCred *cred) LIBSYNCML_DEPRECATED
SmlAnchor * | smlAnchorNew (const char *last, const char *next, SmlError **error)
void | smlAnchorFree (SmlAnchor *anchor)
SmlItem * | smlItemNew (unsigned int size, SmlError **error)
SmlItem * | smlItemNewForData (const char *data, unsigned int size, SmlError **error)
SmlItem * | smlItemRef (SmlItem *item)
void | smlItemUnref (SmlItem *item)
SmlBool | smlItemAddData (SmlItem *item, const char *data, unsigned int size, SmlError **error)
SmlBool | smlItemCheck (SmlItem *item)
SmlBool | smlItemHasData (SmlItem *item)
SmlBool | smlItemGetData (SmlItem *item, char **data, unsigned int *size, SmlError **error)
SmlBool | smlItemStealData (SmlItem *item, char **data, unsigned int *size, SmlError **error)
void | smlItemSetSource (SmlItem *item, SmlLocation *source)
SmlLocation * | smlItemGetSource (SmlItem *item)
void | smlItemSetTarget (SmlItem *item, SmlLocation *target)
SmlLocation * | smlItemGetTarget (SmlItem *item)
void | smlItemSetSourceParent (SmlItem *item, SmlLocation *sourceParent)
SmlLocation * | smlItemGetSourceParent (SmlItem *item)
void | smlItemSetTargetParent (SmlItem *item, SmlLocation *targeParent)
SmlLocation * | smlItemGetTargetParent (SmlItem *item)
void | smlItemSetRaw (SmlItem *item, SmlBool raw)
void | smlHeaderFree (SmlHeader *header)
SmlChal * | smlChalNew (SmlAuthType type, SmlError **error)
SmlChal * | smlChalNewFromBinary (SmlAuthType type, const char *nonce, size_t length, SmlError **error)
SmlChal * | smlChalNewFromBase64 (SmlAuthType type, const char *nonce, SmlError **error)
void | smlChalRef (SmlChal *chal)
void | smlChalUnref (SmlChal *chal)
void | smlChalFree (SmlChal *chal) LIBSYNCML_DEPRECATED
SmlMapItem * | smlMapItemNew (const char *uid, const char *newuid, SmlError **error)
SmlMapItem * | smlMapItemRef (SmlMapItem *item)
void | smlMapItemUnref (SmlMapItem *item)

## Detailed Description

The public part.

## Function Documentation

SmlBool smlItemCheck | ( | SmlItem * | item | ) |

Checks if the item is complete

Definition at line 444 of file sml_elements.c.

Referenced by smlItemGetData(), and smlItemStealData().

Here is the call graph for this function:

SmlBool smlItemGetData | ( | SmlItem * | item,
|  | char ** | data,
|  | unsigned int * | size,
|  | SmlError ** | error
| ) |  |

Returns a const pointer to the data of the item. the data will disappear when the data is derefd

Definition at line 495 of file sml_elements.c.

Here is the call graph for this function:

SmlBool smlItemStealData | ( | SmlItem * | item,
|  | char ** | data,
|  | unsigned int * | size,
|  | SmlError ** | error
| ) |  |

Returns the data of the item. The data will not be freed when the item is unrefd. After this call, smlItemHasData will report FALSE

Definition at line 470 of file sml_elements.c.

Referenced by smlDsServerSetConnectCallback().

Here is the call graph for this function: